安裝時的版本選擇。

VC9:在 IIS 上執行 PHP,則必須使用 VC9 版本
VC6:在 Apache 上執行 PHP,則必須使用 VC6 版本

VC6 使用 legacy Visual Studio 6 compiler 編譯。
VC9 使用 Visual Studio 2008 compiler 編譯。

Non Thread Safe 非執行緒安全,在執行時不進行執行緒(thread)安全檢查。
Thread Safe 執行緒安全,執行時會進行執行緒(thread)安全檢查,
以防止有新要求就啟動新執行緒的 CGI 執行方式耗盡系統資源。

PHP 有 ISAPI 和 FastCGI 兩種執行方式,FastCGI 是以單一執行緒來執行操作,
所以不需要進行執行緒的安全檢查,除去執行緒安全檢查的防護反而可以提高執行效率,
以 FastCGI+IIS 6 或 IIS 7 執行 PHP,都建議使用 Non-Thread Safe 的 PHP。
而執行緒安全檢查正是為 ISAPI 方式的 PHP 所準備,因為有許多模組執行緒都不是安全的,
所以需要使用 Thread Safe 的 PHP。

所以我都選 Non Thread Safe。

flyfox 發表在 痞客邦 PIXNET 留言(0) 人氣()